Subject: Re: bug#10781: EIEIO namespace use

From: David Engster <[email-masked]>
Date: Sun, 29 Apr 2012 10:06:27 +0200

Eric M. Ludlam writes:
> I would be happy to see 'this' just completely removed.  It was put in
> when I was mimicing C++, and some old programs of mine that have long
> since rotted away depended on it.  I'm actually surprised there was a
> reference to it in CEDET still.  That will be good to clean up.

OK, I will take care of that.

And while I'm at it: What about 'scoped-class'? It is only used in
`eieio-slot-name-index' and `call-next-method' in EIEIO itself, so it
could at least be made local? I'm not sure if it can be removed
completely.

-David